> ## Documentation Index
> Fetch the complete documentation index at: https://docs.askvideos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Index Image



## OpenAPI

````yaml openapi.json post /index/{index_name}/image
openapi: 3.1.0
info:
  title: AskVideos
  version: 0.1.0
servers: []
security: []
paths:
  /index/{index_name}/image:
    post:
      summary: Index Image
      operationId: index_image_index__index_name__image_post
      parameters:
        - name: index_name
          in: path
          required: true
          schema:
            type: string
            title: Index Name
        - name: image_url
          in: query
          required: false
          schema:
            type: string
            description: >-
              Image URL to download image from. One of image_url / image_file
              must be provided.
            title: Image Url
          description: >-
            Image URL to download image from. One of image_url / image_file must
            be provided.
      requestBody:
        content:
          multipart/form-data:
            schema:
              allOf:
                - $ref: >-
                    #/components/schemas/Body_index_image_index__index_name__image_post
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_index_image_index__index_name__image_post:
      properties:
        image_file:
          type: string
          format: binary
          title: Image File
          description: Image file upload. One of image_url / image_file must be provided.
        metadata_str:
          type: string
          title: Metadata Str
          description: Metadata dict for the video. See documentation for structure.
          default: '{}'
      type: object
      title: Body_index_image_index__index_name__image_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````